Loading...
Searching...
No Matches
datawizard.h File Reference
`#include <starpu.h>`
`#include <common/config.h>`
`#include <common/utils.h>`
`#include <datawizard/coherency.h>`
`#include <datawizard/filters.h>`
`#include <datawizard/copy_driver.h>`
`#include <datawizard/footprint.h>`
`#include <datawizard/data_request.h>`
`#include <datawizard/interfaces/data_interface.h>`
`#include <core/dependencies/implicit_data_deps.h>`

Go to the source code of this file.

## Functions

int | __starpu_datawizard_progress (enum _starpu_may_alloc may_alloc, unsigned push_requests)
void | _starpu_datawizard_progress (enum _starpu_may_alloc may_alloc)
void | _starpu_datawizard_handle_all_pending_node_data_requests (unsigned memnode)

## Function Documentation

## __starpu_datawizard_progress()

int __starpu_datawizard_progress | ( | enum _starpu_may_alloc | may_alloc,
|  | unsigned | push_requests
| ) |  |

Make data transfers progress on all memory nodes driven by the current worker.

If `push_requests` is 1, it can start new transfers

If `may_alloc` is _STARPU_DATAWIZARD_DO_ALLOC, it can allocate destination data for transfers (this is not possible e.g. when spinning for a handle lock)

## _starpu_datawizard_progress()

void _starpu_datawizard_progress | ( | enum _starpu_may_alloc | may_alloc | ) |

Call __starpu_datawizard_progress with push_requests = 1

## _starpu_datawizard_handle_all_pending_node_data_requests()

void _starpu_datawizard_handle_all_pending_node_data_requests | ( | unsigned | memnode | ) |

Check for all pending data request progress on node `memory_node`